Jump to content

Luna

Membres
  • Content Count

    305
  • Joined

  • Last visited

  • Days Won

    5

Luna last won the day on March 29

Luna had the most liked content!

Community Reputation

15 Good

About Luna

  • Rank
    ceinture noire

Profile Information

  • Gender
    Female

Recent Profile Visitors

475 profile views
  1. Avec ce bout de code, je peux récupérer le format d'impression d'une présentation, il faut ensuite injecter cette valeur où tu le souhaites (champ dynamique, attribut, texte, ...). (defun getPrintFormat (name / str-reverse layout-list entlist str pos) (defun str-reverse (str) (vl-list->string (reverse (vl-string->list str))) ) (if (and (setq layout-list (vla-collection->list 'layouts 0)) (assoc name layout-list) (setq entlist (entget (cdr (assoc name layout-list)))) (setq str (cdr (assoc 4 entlist))) ) (setq pos (1- (vl-string-position (ascii "(") str))
  2. Coucou, J'avoue ne pas bien comprendre la demande...Est-ce que tu parles du format d'impression (Format de papier, depuis le gestionnaire de mise en page de la présentation) ? Si c'est de cela dont tu parles, alors vouih c'est une donnée récupérable mais isolée la valeur souhaitée ne sera pas une mince affaire... Une explication plus claire serait la bienvenue :3 Bisous, Luna
  3. Pas tout-à-fait ^^" La variable TEXTSIZE correspond bel et bien à ce que tu recherches je suppose (un texte nouvellement créé aura une hauteur par défaut correpondant à TEXTSIZE). Ce que je disais c'est que la propriété TextHeight n'est applicable que pour un objet précis, sans impacter les nouveaux par exemple. En revanche (gile) parle de la propriété "fixe" de chaque style de texte. L'aide AutoCAD défini que cette propriété, si elle vaut 0.0, est égale à la variable TEXTSIZE, mais si cette valeur est non nulle, alors chaque texte créé à partir de ce style de texte précis (Arial, Verda
  4. C'est des propriétés et méthodes utilisées en VBA, mais qui utilise la structure de langage de l'AutoLISP, donc (function_name arg1 arg2 ... argn). Donc cela permet d'accéder "autrement" à certaines propriétés accessibles en DXF et à d'autres propriétés donc cela permet "d'apprendre" le vocabulaire du VBA, sans pour autant nous apprendre la conjugaison et la grammaire du VBA ^^" Pour la comparaison, c'est comme si tu essayais d'apprendre le dictionnaire comme premier langage, tu connais peut-être plein de mots, mais tu n'as aucune idée de comment les utiliser et construire des phrases ave
  5. Et bien depuis que j'ai compris qu'un sommet de polyligne correspondait à la position du sommet au sein de la polyligne (valeur entière) avec le premier sommet = 0, j'ai compris que le paramètre correspondait à une répartition. Si l'on prend les param 0 et 1 (donc le segment entre le premier et second sommet), on peut diviser le segment en pourcentage :3 Autrement dit 0+50% correspond à 50% de la distance linéaire séparant le param 0 et 1, donc le milieu du segment. Si l'on veut diviser chaque segments en 4 parties égales, il suffit de récupérer les points aux paramètres 0+25%, 0+50% et 0+
  6. @Curlygoth tu te lances dans le LISP ou c'est qu'une illusion ? xD
  7. @didier, les fonctions (vlax-curve-*) fonctionnent parfaitement bien avec l'ename directement (et même plus rapidement), cela évite la conversion (vlax-ename->vla-object) :3 Sinon c'est en effet un belle méthode, je n'ai encore jamais utilisée la fonction (osnap), sûrement par manque de connaissance et de temps ^^" Bisous, Luna
  8. Coucou, En passant la souris au dessus de cette case j’obtiens : Et dans l'aide d'AutoCAD concernant la fonction (vla-put-textheight) : Je suppose donc que cette fonction ne puisse pas redéfinir cette valeur directement mais uniquement modifier la hauteur d'un objet texte (dimensions, mtext, text) uniquement si cette fameuse variable est nulle... Peut-être que la variable TEXTSIZE y correspond ? Bisous, Luna
  9. Coucou, Petite question comme chat mais, en utilisant les (vlax-curve-*) on peut déterminer le point du milieu de la courbe via le param (fix (+ n 0.5)) nan ? (setq name (car (entsel))) (setq n 0) (setq pt1 (vlax-curve-getPointAtParam name n)) (setq pt2 (vlax-curve-getPointAtParam name (1+ n))) (setq mia (vlax-curve-getPointAtParam name (+ n 0.5))) (setq cord (distance pt1 pt2)) (setq mil (polar pt1 (angle pt1 pt2) (/ cord 2.0))) (setq fle (distance mia mil)) (if (> (/ (setq a1i (angle pt1 mia)) pi) 1) (setq a1i (* (- 1) (rem a1i pi))) ) (setq a12 (angle pt1 pt2)) (cond ((< a1
  10. J'ai toujours voulu apprendre ce langage depuis que j'utilise Excel, mais je n'arrivais pas à me former en autodidacte (je ne comprenais pas grand chose aux cours et mes essais étaient infructueux) donc j'ai trouvé une licence pro qui avait plein de cours intéressant dont le VBA. Malheureusement le formateur pour le VBA était le pire de tous (de simples copier-coller de codes vieux de 40ans depuis un PDF mal organisé et une absence totale du prof pour répondre aux questions)... Du coup, ce prof m'a simplement fait détester un langage que j'aurais grandement aimé apprendre ! Et puis AutoLI
  11. Coucou @didier, Je trouve cela génial que tu élargisses les horizons de ton site vers d'autres langages comme le VBA (chat va sûrement me réconcilier avec ce langage contre lequel je me suis fâchée il y a quelques années !). Je serais une lectrice assidue :3 Concernant la partie AutoLISP, je pense qu'un sujet intéressant et qui, malgré le fait qu'il s'agisse de la base des bases, se serait de parler des fonctions d'accessibilité aux différentes propriétés d'un objet. Je pense à la fonction (entget), (dumpallproperties) (et (vlax-dump-object) en Visual LISP) et surtout à l'utilisation
  12. Vui j'ai également connu et apprivoisé les bulges via ce cours, mais en effet il faut pratiquer un peu l'anglais :3 Le cours de didier est certainement plus abordable pour tout le monde 😜 Bisous, Luna
  13. Une polyligne fermée n'est-elle pas justement une polyligne dont le sommet de début et le sommet de fin sont strictement identiques ? Auquel cas il me paraît plus que naturel de conserver ce dernier point dans la liste pour mieux illustrer les segments visibles de la polyligne. Ainsi fait, on peut travailler avec les segments si on le souhaite et pour cela, on a besoin du dernier sommet (même s'il s'agit du sommet de début) car on peut spécifier un bulge pour ce segment également... Ou alors je n'ai pas bien saisi ta remarque... >w< Bisous, Luna
  14. vui légère différence ^^"
  15. Coucou, C'était le but premier du challenge au final ^^" J'ai fait quelques tests dont voici les résultats : ;; BENCHMARK D'UNE LWPOLYLINE DE 10 SOMMETS Elapsed milliseconds / relative speed for 8192 iteration(s): (GET-PT-LIST-BRUNO NAME).....................1466 / 3.55 <fastest> (GET-PT-LIST-CURVE NAME).....................1560 / 3.34 (VLAX-CURVE-GETPOLYLINECOORDINATES N...).....1701 / 3.06 (VGETPOINT VNAME)............................1701 / 3.06 (GET-PT-LIST-RECURSIVE-MEMBER NAME)..........1747 / 2.98 (POLYPOINTS NAME)...........................
×
×
  • Create New...